
Infrastructure - Bug #1665

MN Tier1 api documentation changes and implementation verification

2011-07-05 18:48 - Rob Nahf

Status: Closed Start date: 2011-10-24

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.43-Block.6   

Milestone: CCI-0.6.2 Story Points:  

Product Version: *   

Description

Several bugs / questions encountered:

1. ping() - can it really throw all those types of exceptions?  (especially UnsupportedType, InsufficientResources, NotAuthorized)

-2. getOperationStatistics() - update "period" parameter to current approach (parameters startTime and endTime that are strings). 

java interface and client are already updated.-

-3. getOperationStatistics() needs to throw InvalidToken exception (since it takes a Session object in the parameters).-

-4. getOperationStatistics() should now take an ObjectFormatIdentifier as a parameter instead of ObjectFormat.-

(2-4 not applicable - method gone)

5. syncrhonizationFailed() method should throw InvalidToken exception.

(added InvalidToken to list of possible exceptions)

1. listObjects() should take ObjectFormatIdentifier as parameter instead of ObjectFormat (done)

Subtasks:

Task # 1891: update MethodCrossReference.xls in docs Closed

Task # 1892: decide acceptable exceptions thrown by ping() Rejected

History

#1 - 2011-07-06 16:18 - Rob Nahf

- Target version set to Sprint-2011.26-Block.4

#2 - 2011-07-07 08:27 - Rob Nahf

- Subject changed from MNCore api bugs to MN Tier1 api bugs

#3 - 2011-08-30 01:31 - Dave Vieglais

- Position set to 2

- Target version deleted (Sprint-2011.26-Block.4)

#4 - 2011-08-30 01:50 - Dave Vieglais

- Position deleted (19)

- Position set to 1

#5 - 2011-08-30 02:36 - Dave Vieglais

- Position set to 1

- Position deleted (10)

#6 - 2011-08-30 02:38 - Dave Vieglais

- Position deleted (1)

- Position set to 1

- Target version set to Sprint-2011.35-Block.5
#7 - 2011-09-06 17:53 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2011.35-Block.5 to Sprint-2011.36-Block.5

- Position deleted (13)

#8 - 2011-09-14 11:19 - Dave Vieglais

- Position set to 24

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position deleted (1)

#9 - 2011-10-07 18:52 - Dave Vieglais

- Subject changed from MN Tier1 api bugs to MN Tier1 api documentation changes and implementation verification

#10 - 2011-10-07 18:52 - Dave Vieglais

- Position set to 3

- Position deleted (31)

- Target version changed from Sprint-2011.37-Block.5 to Sprint-2011.43-Block.6

#11 - 2011-10-24 22:07 - Rob Nahf

- Assignee set to Rob Nahf

- Status changed from New to In Progress

where appropriate, updated ObjectFormat references to ObjectFormatIdentifier in MethodCrossReference.xls

#12 - 2011-10-24 22:13 - Rob Nahf

added InvalidToken to list of possible exceptions

#13 - 2011-10-25 18:56 - Rob Nahf

- Status changed from In Progress to Closed

further documentation about 'formatid' label in new story/bug
